% MPSPP52, Friday, Dec. 4, 2004
% Program is Developed and Owned by Dr. Jamal H. Abou-Kassem.
%echo on
computer;
[s,maxsize] = computer;
tstrt = cputime;
pause on;
mxnwind = 10;
nocont = 0;
nhex = 10;
nhex1 = nhex+1;
i5mxr = 4;
i5mxw = 2;
set(0,'Units','pixels');
scnsize = get(0,'ScreenSize');
wp585 = scnsize(3)-110;
wp550 = wp585-35;
wp505 = wp585-80;
wp480 = wp505-25;
wp430 = wp480-50;
hp375 = scnsize(4)-120;
hp360 = hp375-15;
hp345 = hp375-35;
hp330 = hp345-15;
wpxx = scnsize(3)-150;
hpxx = scnsize(4)-250;
title1 = [' Multi Purpose Simulator Post Processor (mpsffa_pp.m) ';...
          ' is written for Matlab Version 7.0 (R14). The program ';...
          ' plots reservoir rock & fluid data; reservoir and well';...
          ' performances; contour maps, cross-sections, profiles,';...
          ' 3D presentations of  reservoir performance  and  rock';...
          ' properties; and reservoir grid. The Program is owned ';...
          ' by Dr. Jamal H. Abou-Kassem, Professor of Petroleum  ';...
          ' Engineering, Chemical & Petroleum  Engineering Dept. ';...
          ' The UAE University, P.O. Box: 17555, Al-Ain, U.A.E.  '];
title2 = [' This program is 100% menu driven. Extra notes follow.   ';...
          ' Hit "return" if requested at Matlab command level and   ';...
          ' after completing a plot. Use the Mouse in a "checkbox", ';...
          ' "pushbutton", or "edit" Menu.  In "checkbox" Menu,      ';...
          ' click Mouse on your choices then hit "return". In "edit"';...
          ' Menu, click on Mouse over the text area before typing   ';...
          ' data. Use Window in the Menu bar to retrieve a Menu     ';... 
          ' if program does not respond and then proceed. You       ';...
          ' may minimize or restore, but may not close, a Matlab    ';...
          ' window while executing the program.                     '];
for j123 = 1:1000000;
ud = [];
fig = figure('Name','Presentation of Program',...
             'Position',[310 250 340 230],'Resize','off');
txt_title = uicontrol(fig,...
                          'Style','text',...
                          'Position',[80 200 180 20],...
                          'String',['mpsffa_pp (Rev. 52)'],...
                          'BackgroundColor',[0.7 0.7 0.7]);
tm_stops = uicontrol(gcf,...
                         'Style','edit',...
                         'Position',[20 45 300 145],...
                         'Max',2,...
                         'HorizontalAlignment','left',... 
                         'String',title1(:,:));
pb_ok = uicontrol(gcf,...
                      'Style','pushbutton',...
                      'String',' Continue ',...
                      'Position',[20 10 130 25],...
                      'CallBack',[...
                       'ud(1:2) = 0;',...
                       'close(fig),',...
                       'nocont = nocont+1;',...
 'disp([''* '',num2str(nocont),'' * Hit RETURN Key to Continue ...'']),']);
pb_qut = uicontrol(gcf,...
                       'Style','pushbutton',...
                       'String',' QUIT PROGRAM ',...
                       'Position',[190 10 130 25],...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'CallBack',[...
                        'ud(1:2) = 1;',...
                        'close(fig),',...
                        'nocont = nocont+1;',...
 'disp([''* '',num2str(nocont),'' * Hit RETURN Key to Continue ...'']),']);
dump = input(' ');
if isempty(ud);
close(fig)
else
break,
end % if isempty
end % for j123
if ud(1) == 0;
for j123 = 1:1000000;
ud = [];
fig = figure('Name','Instructions for Running Program',...
             'Position',[310 250 340 235],'Resize','off');
txt_title = uicontrol(fig,...
                          'Style','text',...
                          'Position',[80 190 180 35],...
                          'String',['Instructions for Running Program'],...
                          'BackgroundColor',[0.7 0.7 0.7]);
tm_stops = uicontrol(gcf,...
                         'Style','edit',...
                         'Position',[20 45 300 155],...
                         'Max',2,...
                         'HorizontalAlignment','left',... 
                         'String',title2(:,:));
pb_ok = uicontrol(gcf,...
                      'Style','pushbutton',...
                      'String',' Continue ',...
                      'Position',[20 10 130 25],...
                      'CallBack',[...
                       'ud(1:2) = 0;',...
                       'close(fig),',...
                       'nocont = nocont+1;',...
 'disp([''* '',num2str(nocont),'' * Hit RETURN Key to Continue ...'']),']);
pb_qut = uicontrol(gcf,...
                       'Style','pushbutton',...
                       'String',' QUIT PROGRAM ',...
                       'Position',[190 10 130 25],...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'CallBack',[...
                        'ud(1:2) = 1;',...
                        'close(fig),',...
                        'nocont = nocont+1;',...
 'disp([''* '',num2str(nocont),'' * Hit RETURN Key to Continue ...'']),']);
dump = input(' ');
if isempty(ud);
close(fig)
else
break,
end % if isempty
end % for j123
if ud(1) == 0;
load krp.lis
isim = krp(1,2);
isim99 = isim;
unt = krp(1,3);
unt99 = unt;
switch isim99;
case {1,2}; % isim99
switch unt99;
case {1,2,3}; % unt99
cntsrf = [ '       ';'       ';'       ';'       ';'Section';'Surface'];
rt4(1:6,:)  = [' k'  ;' j'  ;' i'  ;' j'  ;' i'  ;' i'  ];
rt5(1:6,:)  = [' k'  ;' j'  ;' i'  ;' k'  ;' k'  ;' j'  ];
rt6(1:6,:)  = ['  '  ;'  '  ;'  '  ;' x'  ;' y'  ;' z'  ];
iupc(1:3,:) = [' (psi)      ';' (kPa)      ';' (atm)      '];
iupr(1:3,:) = [' (psia)     ';' (kPa)      ';' (atm)      '];
iumu(1:3,:) = [' (cp)       ';' (mPa.s)    ';' (cp)       '];
iofv(1:3,:) = [' (RB/STB)   ';' (m3/sm3)   ';' (cc/scc)   '];
iwfv(1:3,:) = [' (RB/B)     ';' (m3/sm3)   ';' (cc/scc)   '];
igfv(1:3,:) = [' (RB/scf)   ';' (m3/sm3)   ';' (cc/scc)   '];
iwor(1:3,:) = [' (B/STB)    ';' (sm3/sm3)  ';' (scc/scc)  '];
igor(1:3,:) = [' (scf/STB)  ';' (sm3/sm3)  ';' (scc/scc)  '];
iuot(1:3,:) = [' (STB)      ';' (sm3)      ';' (scc)      '];
iuwt(1:3,:) = [' (B)        ';' (sm3)      ';' (scc)      '];
iugt(1:3,:) = [' (scf)      ';' (sm3)      ';' (scc)      '];
iuor(1:3,:) = [' (STB/D)    ';' (sm3/d)    ';' (scc/s)    '];
iuwr(1:3,:) = [' (B/D)      ';' (sm3/d)    ';' (scc/s)    '];
iugr(1:3,:) = [' (scf/D)    ';' (sm3/d)    ';' (scc/s)    '];
iulg(1:3,:) = [' (ft)       ';' (m)        ';' (cm)       '];
iukx(1:3,:) = [' (md)       ';' (mu m2)    ';' (d)        '];
iutm(1:3,:) = [' (y)        ';' (y)        ';' (m)        '];
iutt(1:3,:) = ['y  '         ;'y  '         ;'min'         ];
iuyr(1:3,:) = [365.04        ;365.04        ;60.0          ];
iurf(1:3,:) = [' (% OOIP)   ';' (fraction) ';'            '];
rpi(1,1:9,:)   = ['  Sw ' ;'  So ' ;'  Sg ' ;'  Sp ' ;' ROIP' ;...
                  '  Rs ' ;'  Ct ' ;'   P ' ;'  Cp ' ];
rpi(2,1:9,:)   = ['  Sw ' ;'  So ' ;'  Sg ' ;'   T ' ;'   P ' ;...
                  ' Qhl ' ;'  Ys ' ;'  Yn ' ;'  Xn '];
rpi(3,1:9,:)   = ['   h ' ;'   D ' ;' Phi ' ;'  Kx ' ;'  Ky ' ;...
                  '  Kz ' ;'phi.h' ;' Kh.h' ;'K/phi'];
ypi(1,1:9,:)   = ['  Water  Saturation ';'    Oil  Saturation ';...
                  '    Gas  Saturation ';' Polymer Saturation ';...
                  '       Oil-in-Place ';' Sol. Gas/Oil Ratio ';...
                  '      Tracer  Conc. ';'           Pressure ';...
                  '     Polymer  Conc. '];
ypi(2,1:9,:)   = ['  Water  Saturation ';'    Oil  Saturation ';...
                  '    Gas  Saturation ';'       Temperature  ';...
                  '           Pressure ';'  Rate of Heat loss ';...
                  'Steam Mole Fraction ';'n-Comp. Mole frac. V';...
                  'n-Comp. Mole frac. L'];
ypi(3,1:9,:)   = ['      Net Thickness ';' Top of Layer Depth ';...
                  '          Porosity  ';'  Permeability  Kx  ';...
                  '  Permeability  Ky  ';'  Permeability  Kz  ';...
                  '      Storage Phi*h ';'      Capacity Kh*h ';...
                  '           Kh/Phi   '];
pui(1,1,1:9,:) = [' (fraction) ';' (fraction) ';' (fraction) ';...
                  ' (fraction) ';'( MSTB/acre)';' (scf/STB)  ';...
                  ' (PPM)      ';' (psia)     ';' (PPM)      '];
pui(2,1,1:9,:) = [' (fraction) ';' (fraction) ';' (fraction) ';...
                  ' (deg. F)   ';' (psia)     ';' (MMBtu/D)  ';...
                  ' (fraction) ';' (fraction) ';' (fraction) '];
pui(3,1,1:9,:) = [' (ft)       ';' (ft)       ';' (fraction) ';...
                  ' (md)       ';' (md)       ';' (md)       ';...
                  ' (ft)       ';' (md.ft)    ';' (md)       '];
pui(1,2,1:9,:) = [' (fraction) ';' (fraction) ';' (fraction) ';...
                  ' (fraction) ';'(e3 sm3/hm2)';' (sm3/sm3)  ';...
                  ' (PPM)      ';' (kPa)      ';' (PPM)      '];
pui(2,2,1:9,:) = [' (fraction) ';' (fraction) ';' (fraction) ';...
                  ' (K)        ';' (kPa)      ';' (GJ/d)     ';...
                  ' (fraction) ';' (fraction) ';' (fraction) '];
pui(3,2,1:9,:) = [' (m)        ';' (m)        ';' (fraction) ';...
                  ' (mu m2)    ';' (mu m2)    ';' (mu m2)    ';...
                  ' (m)        ';' (mu m2.m)  ';' (mu m2)    '];
pui(1,3,1:9,:) = [' (fraction) ';' (fraction) ';' (fraction) ';...
                  ' (fraction) ';' (scc/cm2)  ';' (scc/scc)  ';...
                  ' (PPM)      ';' (atm)      ';' (PPM)      '];
pui(2,3,1:9,:) = [' (fraction) ';' (fraction) ';' (fraction) ';...
                  ' (deg. C    ';' (atm)      ';' (Cal/s)    ';...
                  ' (fraction) ';' (fraction) ';' (fraction) '];
pui(3,3,1:9,:) = [' (cm)       ';' (cm)       ';' (fraction) ';...
                  ' (d)        ';' (d)        ';' (d)        ';...
                  ' (cm)       ';' (d.cm)     ';' (d)        '];
ucpi(1,1:3,:)  = [' (PPM)      ';' (PPM)      ';' (PPM)      '];
ucpi(2,1:3,:)  = [' (fraction) ';' (fraction) ';' (fraction) '];
mrft(1:4,:) = [' Reservoir Performance: P, Qo, Np, and R    ';...
               ' Reservoir Performance: P, Qw, W, and PVIw  ';...
               ' Reservoir Performance: P, Qg, G, and PVIg  ';...
               ' Reservoir Performance: R, WOR, GOR, and PVI'];
irft(1,1:4,:) = [' Average Reservoir Pressure   ';...
                 ' Oil Production Rate          ';...
                 ' Cummulative Oil Production   ';...
                 ' Oil Recovery Factor          '];
irft(2,1:4,:) = [' Average Reservoir Pressure   ';...
                 ' Water Production Rate        ';...
                 ' Cummulative Water Production ';...
                 ' Pore Volume Injected of Water'];
irft(3,1:4,:) = [' Average Reservoir Pressure   ';...
                 ' Gas Production Rate          ';...
                 ' Cummulative Gas Production   ';...
                 ' Pore Volume Injected of Gas  '];
irft(4,1:4,:) = [' Oil Recovery Factor          ';...
                 ' Producing Water/Oil Ratio    ';...
                 ' Producing Gas/Oil Ratio      ';...
                 ' Pore Volume Injected         '];
qrtitle(1,1:4,:) = ['   Pressure ';'   Oil Rate ';...
                    '  Oil Prod. ';'   Rec. Oil '];
qrtitle(2,1:4,:) = ['   Pressure ';' Water Rate ';...
                    'Water Prod. ';'   PVI Aqua '];
qrtitle(3,1:4,:) = ['   Pressure ';'   Gas Rate ';...
                    '  Gas Prod. ';'   PVI  Gas '];
qrtitle(4,1:4,:) = ['  Rec.  Oil ';'  Prod. WOR ';...
                    '  Prod. GOR ';'            '];
qrunits(1,1:4,:) = [iupr(unt,:);iuor(unt,:);...
                    iuot(unt,:);iurf(  1,:)];
qrunits(2,1:4,:) = [iupr(unt,:);iuwr(unt,:);...
                    iuwt(unt,:);iurf(  2,:)];
qrunits(3,1:4,:) = [iupr(unt,:);iugr(unt,:);...
                    iugt(unt,:);iurf(  2,:)];
qrunits(4,1:4,:) = [iurf(  1,:);iwor(unt,:);...
                    igor(unt,:);iurf(  2,:)];
mwft(1:2,:) = [' Well Performance: FBHP, Qw, Qo, and Qg';...
               '---------------------------------------'];
iwft(1,1:4,:) = [' Well Flowing-Bottom-Hole-Pressure';...
                 ' Well Water Production Rate       ';...
                 ' Well Oil Production Rate         ';...
                 ' Well Gas Production Rate         '];
iwft(2,1:4,:) = ['----------------------------------';...
                 ' Well Producing Water/Oil Ratio   ';...
                 ' Well Cummulative Oil Production  ';...
                 ' Well Producing Gas/Oil Ratio     '];
qwtitle(1,1:4,:) = ['     FBHP   ';' Aqua  Rate ';...
                    '  Oil  Rate ';'  Gas  Rate '];
qwtitle(2,1:4,:) = ['------------';' Prod.  WOR ';...
                    ' Oil  Prod. ';' Prod.  GOR '];
qwunits(1,1:4,:) = [iupr(unt,:);iuwr(unt,:);...
                    iuor(unt,:);iugr(unt,:)];
qwunits(2,1:4,:) = [iuor(unt,:);iwor(unt,:);...
                    iuot(unt,:);igor(unt,:)];
rrpp(1:3,:) = [' Select Reservoir Performance Parameters ';...
               ' Select Reservoir Performance Parameters ';...
               '   Select  Reservoir Rock  Properties    '];
srpp(1,1:9,:) = [' Water Saturation (Sw)         ';...
                 ' Oil Saturation (So)           ';...
                 ' Gas Saturation (Sg)           ';...
                 ' Polymer Saturation (Sp)       ';...
                 ' Remaining Oil-in-Place (ROIP) ';...
                 ' Solution GOR (Rs)             ';...
                 ' Tracer Concentration (Ct)     ';...
                 ' Reservoir Pressure (P)        ';...
                 ' Polymer Concentration (Cp)    '];
srpp(2,1:9,:) = [' Water Saturation (Sw)         ';...
                 ' Oil Saturation (So)           ';...
                 ' Gas Saturation (Sg)           ';...
                 ' Reservoir Temperature (T)     ';...
                 ' Reservoir Pressure (P)        ';...
                 ' Rate of Heat Loss (Qhl)       ';...
                 ' Steam Mole Fraction (Ys)      ';...
                 ' Hvy Comp. Mole Frac. (Yn)     ';...
                 ' Hvy Comp. Mole Frac. (Xn)     '];
srpp(3,1:9,:) = [' Thickness (h)                 ';...
                 ' Depth of Layer Top (D)        ';...
                 ' Porosity (Phi)                ';...
                 ' Permeability Kx               ';...
                 ' Permeability Ky               ';...
                 ' Permeability Kz               ';...
                 ' Reservoir Storage (Phi*h)     ';...
                 ' Horizontal Capacity (Kh*h)    ';...
                 ' Hor. Perm./Porosity (Kh/Phi)  '];
d3title(1:8,:) = [' Combination 3-D Mesh/Grid             ';...
                  ' 3-D Shaded Surface                    ';...
                  ' Combination 3-D Shaded Surface/Contour';...
                  ' 3-D Shaded Surface Plot with Lighting ';...
                  ' 3-D Mesh Plot with Zero Plane         ';...
                  ' 3-D Mesh                              ';...
                  ' Combination 3-D Mesh/Contour          ';...
                  ' Waterfall                             '];
xautom(1:2,:) = [' Automatic,';'   Manual, '];
xlabel(1:2,:) = ['  Labeled, ';' Unlabeled,'];
xfilll(1:2,:) = [' Contour-Level';' Contour-Fill '];
xtitle(1,:) = ['     Time ',iutm(unt,:)];
xtitle(2,:) =  ' Pore Volume Injected ';
if isim == 1; 
qrtitle(4,4,:) = 'PVI Polymer ';
mwft(2,:) = ' Well Performance: Ct, WOR, Np, and GOR';
iwft(2,1,:) = ' Well Tracer Concentration        ';
qwtitle(2,1,:) = ' Tracer Con.';
qwunits(2,1,:) = ucpi(isim,unt,:);
elseif isim == 2; 
qrtitle(4,4,:) = '  PVI Steam ';
mwft(2,:) = ' Well Performance: Qo, WOR, Np, and GOR';
iwft(2,1,:) = ' Well Oil Production Rate         ';
qwtitle(2,1,:) = '  Oil  Rate ';
qwunits(2,1,:) = iuor(unt,:);
end % if isim
for i5 = 1:i5mxr;
i5m =(i5-1)*4;
for i4 = 1:4;
yrtitle(i5m+i4,:) = qrtitle(i5,i4,:); 
yrunits(i5m+i4,:) = qrunits(i5,i4,:);  
end % for i4
end % for i5
for i5 = 1:i5mxw;
i5m =(i5-1)*4;
for i4 = 1:4;
ywtitle(i5m+i4,:) = qwtitle(i5,i4,:); 
ywunits(i5m+i4,:) = qwunits(i5,i4,:);  
end % for i4
end % for i5
yr = iuyr(unt);
for iopt7 = 1:1000000;
nwind = 1;
switch isim;
case 1; % isim
kkk = menu1('Choose One Type of Plots',...
           'PVT Data',...
           'Relative Permeability Data',...
           'Reservoir Performance',...
           'Well Performances',...
           'Contours, Cross-Sections, and Profiles',...
           '3-D Surface Plots',...
           'Areal Grid System',...
           'QUIT PROGRAM');
case 2; % isim
kkk = menu1('Choose One Type of Plots',...
           'Relative Permeability Data',...
           'Reservoir Performance',...
           'Well Performances',...
           'Contours, Cross-Sections, and Profiles',...
           '3-D Surface Plots',...
           'Areal Grid System',...
           'QUIT PROGRAM');
kkk = kkk+1;
end % switch isim
switch kkk;
case 1; % kkk 
load pvt.lis
nfrmx = pvt(1,1);
jhak = nfrmx;
maxudi = jhak+1;
if jhak == 1;
idx(1) = 1;
else % jhak
for j123 = 1:1000000;
ud = [];
fig = figure('Name',' Text Menu for Entering PVT Region IDs ',...
             'Position',[360 285 260 110],'Resize','off');
txt_title = uicontrol(fig,...
                          'Style','text',...
                          'Position',[20 80 220 20],...
                          'String',[' Enter PVT Region IDs ',...
                           '(Max. ',int2str(jhak),')'],...
                          'BackgroundColor',[0.7 0.7 0.7]);
tm_stops = uicontrol(gcf,...
                         'Style','edit',...
                         'Position',[20 45 220 25]);
pb_ok = uicontrol(gcf,...
                      'Style','pushbutton',...
                      'String',' Accept ',...
                      'Position',[20 10 60 25],...
                      'CallBack',[...
                       'ud = str2num(get(tm_stops,''String''));',...
                       'if isempty(ud);',...
                       'else;',...
                       '[idum,nsz] = size(ud);',...
                       'for i = 1:nsz;',...
                       'if ud(i) <= 0 | ud(i) > maxudi;',...
                       'ud(i) = maxudi;',...
                       'end,',...
                       'end,',...
                       'idx = zeros(1,jhak);',...
                       'for i = 1:nsz;',...
                       'idx(ud(i)) = 1;',...
                       'end,',...
                       'close(fig),',...
                       'nocont = nocont+1;',...
 'disp([''* '',num2str(nocont),'' * Hit RETURN Key to Continue ...'']),',...
                       'end,']);
pb_all = uicontrol(gcf,...
                       'Style','pushbutton',...
                       'String',' Select All ',...
                       'Position',[100 10 60 25],...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'UserData',[1:jhak],...
                       'CallBack',['ud = get(pb_all,''UserData'');',...
                        'for i = 1:jhak;',...
                        'idx(ud(i)) = 1;',...
                        'end,',...
                        'close(fig),',...
                        'nocont = nocont+1;',...
 'disp([''* '',num2str(nocont),'' * Hit RETURN Key to Continue ...'']),']);
pb_qut = uicontrol(gcf,...
                       'Style','pushbutton',...
                       'String',' QUIT ALL ',...
                       'Position',[180 10 60 25],...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'UserData',[1:jhak],...
                       'CallBack',['ud = get(pb_qut,''UserData'');',...
                        'for i = 1:jhak;',...
                        'idx(ud(i)) = 0;',...
                        'end,',...
                        'close(fig),',...
                        'nocont = nocont+1;',...
 'disp([''* '',num2str(nocont),'' * Hit RETURN Key to Continue ...'']),']);
dump = input(' ');
if isempty(ud);
close(fig)
else
break,
end % if isempty
end % for j123
end % if jhak
idf = idx;
nf = 1;
for nfr = 1:nfrmx;
ns = nf+1;
npvt = pvt(ns,1);
if idf(nfr) == 1;
iprcdp91 = menu1('Course of Action?',...
               ['Proceed with Fluid Region # ',int2str(nfr)],...
                'Go to Next Fluid Region',... 
                'QUIT ALL FLUID REGIONS');
switch iprcdp91;
case 1; % iprcdp91
ns = ns+1;
nf = ns+npvt-1;
x1 = pvt(ns:nf,1);
y1 = pvt(ns:nf,2);
y2 = pvt(ns:nf,3);
y3 = pvt(ns:nf,4);
y4 = pvt(ns:nf,5);
y5 = pvt(ns:nf,6);
y6 = pvt(ns:nf,7);
y7 = pvt(ns:nf,8);
nwind = 1;
figpvt1 = figure('Name',' Oil and Water FVF Data ');
plot(x1(1),y3(1),'w.',x1,y3,'ro-',x1,y2,'b^-',...
     'MarkerSize',10,'LineWidth',2.0);
set(gca,'Visible','on','LineWidth',3.0,'FontName','Times',...
        'FontSize',10,'FontWeight','bold');
legend(['Fluid Region # ',int2str(nfr)],'Oil  FVF','Water  FVF',0);
axis('square');
set(get(gca,'XLabel'),'String',['Pressure ',iupr(unt,:)],...
                      'FontSize',14,'FontWeight','bold');
set(get(gca,'YLabel'),'String',['Formation Volume Factor ',iofv(unt,:)],...
                      'FontSize',14,'FontWeight','bold');
pause
nwind = nwind+1;
figpvt2 = figure('Name',' Oil and Water Viscosity Data ');
plot(x1(1),y6(1),'w.',x1,y6,'ro-',x1,y5,'b^-',...
     'MarkerSize',10,'LineWidth',2.0);
set(gca,'Visible','on','LineWidth',3.0,'FontName','Times',...
        'FontSize',10,'FontWeight','bold');
legend(['Fluid Region # ',int2str(nfr)],'Oil  Viscosity',...
        'Water  Viscosity',0);
axis('square');
set(get(gca,'XLabel'),'String',['Pressure ',iupr(unt,:)],...
                      'FontSize',14,'FontWeight','bold');
set(get(gca,'YLabel'),'String',['Viscosity ',iumu(unt,:)],...
                      'FontSize',14,'FontWeight','bold');
pause
nwind = nwind+1;
figpvt3 = figure('Name',' Gas FVF and Viscosity Data ');
plot(x1(1),y4(1),'w.',x1,y4,'ro-',x1,y7,'b^-',...
     'MarkerSize',10,'LineWidth',2.0);
set(gca,'Visible','on','LineWidth',3.0,'FontName','Times',...
        'FontSize',10,'FontWeight','bold');
legend(['Fluid Region # ',int2str(nfr)],'Gas  FVF','Gas  Viscosity',0);
axis('square');
set(get(gca,'XLabel'),'String',['Pressure ',iupr(unt,:)],...
                      'FontSize',14,'FontWeight','bold');
set(get(gca,'YLabel'),'String',...
                      ['FVF ',igfv(unt,:),' or  Viscosity ',iumu(unt,:)],...
                      'FontSize',14,'FontWeight','bold');
pause
nwind = nwind+1;
figpvt4 = figure('Name',' Solution GOR Data ');
plot(x1(1),y1(1),'w.',x1,y1,'ro-',...
     'MarkerSize',10,'LineWidth',2.0);
set(gca,'Visible','on','LineWidth',3.0,'FontName','Times',...
        'FontSize',10,'FontWeight','bold');
legend(['Fluid Region # ',int2str(nfr)],'Solution GOR');  
axis('square');
set(get(gca,'XLabel'),'String',['Pressure ',iupr(unt,:)],...
                      'FontSize',14,'FontWeight','bold');
set(get(gca,'YLabel'),'String',['Solution Gas/Oil Ratio ',igor(unt,:)],...
                      'FontSize',14,'FontWeight','bold');
pause
if nwind > 0;
ihcplt = menu('Need HARD COPY of Plots? Follow Instructions.',...
              'Yes. (Window [Select Figure] .. File [Print] and Repeat.)',...
              'No. (Push Button.)');
for jwind = 1:nwind;
close(jwind);
end % for jwind
nwind = 0;
end % if nwind
case 2; % iprcdp91
ns = ns+1;
nf = ns+npvt-1;
otherwise; % iprcdp91
break,
end % switch iprcdp91
else % idf
nf = ns+npvt;
end % if idf
end % for nfr
case 2; % kkk 
load krp.lis
nrrmx = krp(1,1);
jhak = nrrmx;
maxudi = jhak+1;
if jhak == 1;
idx(1) = 1;
else % jhak
for j123 = 1:1000000;
ud = [];
fig = figure('Name',' Text Menu for Entering Kr Region IDs ',...
             'Position',[360 285 260 110],'Resize','off');
txt_title = uicontrol(fig,...
                          'Style','text',...
                          'Position',[20 80 220 20],...
                          'String',[' Enter Kr Rock Region IDs ',...
                           '(Max. ',int2str(jhak),')'],...
                          'BackgroundColor',[0.7 0.7 0.7]);
tm_stops = uicontrol(gcf,...
                         'Style','edit',...
                         'Position',[20 45 220 25]);
pb_ok = uicontrol(gcf,...
                      'Style','pushbutton',...
                      'String',' Accept ',...
                      'Position',[20 10 60 25],...
                      'CallBack',[...
                       'ud = str2num(get(tm_stops,''String''));',...
                       'if isempty(ud);',...
                       'else;',...
                       '[idum,nsz] = size(ud);',...
                       'for i = 1:nsz;',...
                       'if ud(i) <= 0 | ud(i) > maxudi;',...
                       'ud(i) = maxudi;',...
                       'end,',...
                       'end,',...
                       'idx = zeros(1,jhak);',...
                       'for i = 1:nsz;',...
                       'idx(ud(i)) = 1;',...
                       'end,',...
                       'close(fig),',...
                       'nocont = nocont+1;',...
 'disp([''* '',num2str(nocont),'' * Hit RETURN Key to Continue ...'']),',...
                       'end,']);
pb_all = uicontrol(gcf,...
                       'Style','pushbutton',...
                       'String',' Select All ',...
                       'Position',[100 10 60 25],...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'UserData',[1:jhak],...
                       'CallBack',['ud = get(pb_all,''UserData'');',...
                        'for i = 1:jhak;',...
                        'idx(ud(i)) = 1;',...
                        'end,',...
                        'close(fig),',...
                        'nocont = nocont+1;',...
 'disp([''* '',num2str(nocont),'' * Hit RETURN Key to Continue ...'']),']);
pb_qut = uicontrol(gcf,...
                       'Style','pushbutton',...
                       'String',' QUIT ALL ',...
                       'Position',[180 10 60 25],...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'UserData',[1:jhak],...
                       'CallBack',['ud = get(pb_qut,''UserData'');',...
                        'for i = 1:jhak;',...
                        'idx(ud(i)) = 0;',...
                        'end,',...
                        'close(fig),',...
                        'nocont = nocont+1;',...
 'disp([''* '',num2str(nocont),'' * Hit RETURN Key to Continue ...'']),']);
dump = input(' ');
if isempty(ud);
close(fig)
else
break,
end % if isempty
end % for j123
end % if jhak
idr = idx;
vv = [0,1,0,1];
nf = 1;
for nrr = 1:nrrmx;
ns = nf+1;
nkrw = krp(ns,1);
nkrg = krp(ns,2);
if idr(nrr) == 1;
iprcdk92 = menu1('Course of Action?',...
               ['Proceed with Rock Region # ',int2str(nrr)],...
                'Go to Next Rock Region',... 
                'QUIT ALL ROCK REGIONS');
switch iprcdk92;
case 1; % iprcdk92
ns = ns+1;
nf = ns+nkrw-1;
x1 = krp(ns:nf,1);
y1 = krp(ns:nf,2);
y2 = krp(ns:nf,3);
y3 = krp(ns:nf,4);
nwind = 1;
figkr1 = figure('Name',' Oil-Water Relative Permeability Data ');
plot(x1(1),y2(1),'w.',x1,y2,'ro-',x1,y1,'b^-',...
     'MarkerSize',10,'LineWidth',2.0);
set(gca,'Visible','on','LineWidth',3.0,'FontName','Times',...
        'FontSize',10,'FontWeight','bold');
legend(['Rock Region # ',int2str(nrr)],' Krow',' Krw ',0);
axis(vv);
axis('equal','square');
set(get(gca,'XLabel'),'String','Water Saturation  (fraction)',...
                      'FontSize',14,'FontWeight','bold');
set(get(gca,'YLabel'),'String','Relative Permeability  (fraction)',...
                      'FontSize',14,'FontWeight','bold');
pause
ns = nf+1;
nf = ns+nkrg-1;
xx1 = krp(ns:nf,1);
yy1 = krp(ns:nf,2);
yy2 = krp(ns:nf,3);
yy3 = krp(ns:nf,4);
nwind = nwind+1;
figkr2 = figure('Name',' Gas-Oil Relative Permeability Data ');
plot(xx1(1),yy2(1),'w.',xx1,yy2,'ro-',xx1,yy1,'b^-',...
     'MarkerSize',10,'LineWidth',2.0);
set(gca,'Visible','on','LineWidth',3.0,'FontName','Times',...
        'FontSize',10,'FontWeight','bold');
legend(['Rock Region # ',int2str(nrr)],' Krog',' Krg ',0);
axis(vv);
axis('equal','square');
set(get(gca,'XLabel'),'String','Liquid Saturation  (fraction)',...
                      'FontSize',14,'FontWeight','bold');
set(get(gca,'YLabel'),'String','Relative Permeability  (fraction)',...
                      'FontSize',14,'FontWeight','bold');
pause
nwind = nwind+1;
figkr3 = figure('Name',' Capillary Pressure Data ');
plot(x1(1),y3(1),'w.',x1,y3,'ro-',xx1,yy3,'b^-',...
     'MarkerSize',10,'LineWidth',2.0);
set(gca,'Visible','on','LineWidth',3.0,'FontName','Times',...
        'FontSize',10,'FontWeight','bold');
legend(['Rock Region # ',int2str(nrr)],' Pcow',' Pcog',0);
axis('auto','square');
set(get(gca,'XLabel'),'String','Water or Liquid Saturation  (fraction)',...
                      'FontSize',14,'FontWeight','bold');
set(get(gca,'YLabel'),'String',['Capillary Pressure ',iupc(unt,:)],...
                      'FontSize',14,'FontWeight','bold');
pause
if nwind > 0;
ihcplt = menu('Need HARD COPY of Plots? Follow Instructions.',...
              'Yes. (Window [Select Figure] .. File [Print] and Repeat.)',...
              'No. (Push Button.)');
for jwind = 1:nwind;
close(jwind);
end % for jwind
nwind = 0;
end % if nwind
case 2; % iprcdk92
ns = ns+1;
nf = ns+nkrw-1;
ns = nf+1;
nf = ns+nkrg-1;
otherwise; % iprcdk92
break,
end % switch iprcdk92
else % idr
nf = ns+nkrw+nkrg;
end % if idr
end % for nrr
case 3; % kkk 
load res.lis
xaxis = menu1('Choose x-Axis for Plots',...
             'Time',...
             'Pore Volume Injected',...
             'QUIT PROGRAM');
xaxis93 = xaxis;
switch xaxis93;
case {1,2}; % xaxis93 
if xaxis == 1;
x1 = res(:,2);
x1 = x1/yr;
elseif xaxis == 2; 
x1 = res(:,16);
end % if xaxis
nwind = 0;
for i5 = 1:i5mxr;
nwind = nwind+1;
kwind = nwind;
i5m =(i5-1)*4;
switch i5;
case 1; % i5
y1 = res(:,3);
y2 = res(:,8);
y3 = res(:,11);
y4 = res(:,4)*100;
case 2; % i5
y1 = res(:,3);
y2 = res(:,9);
y3 = res(:,12);
y4 = res(:,6);
case 3; % i5
y1 = res(:,3);
y2 = res(:,10);
y3 = res(:,13);
y4 = res(:,7);
case 4; % i5
y1 = res(:,4)*100;
y2 = res(:,14);
y3 = res(:,15);
y4 = res(:,5);
end % switch i5
figrp1 = figure('Name',mrft(i5,:));
for i4 = 1:4;
switch i4;
case 1; % i4 
subplot(2,2,1),plot(x1,y1,'r-','MarkerSize',10,'LineWidth',2.0);
case 2; % i4 
subplot(2,2,2),plot(x1,y2,'b-','MarkerSize',10,'LineWidth',2.0);
case 3; % i4 
subplot(2,2,3),plot(x1,y3,'g-','MarkerSize',10,'LineWidth',2.0);
case 4; % i4 
subplot(2,2,4),plot(x1,y4,'y-','MarkerSize',10,'LineWidth',2.0);
end % switch i4
set(gca,'Visible','on','LineWidth',3.0,'FontName','Times',...
        'FontSize',10,'FontWeight','bold');
set(get(gca,'XLabel'),'String',xtitle(xaxis,:),...
                      'FontSize',10,'FontWeight','bold');
set(get(gca,'YLabel'),'String',[yrtitle(i5m+i4,:),yrunits(i5m+i4,:)],...
                      'FontSize',10,'FontWeight','bold');
pause
end % for i4
ud = [];
ud(1:5) = 0;
largex(1:5) = 0;
for j123 = 1:1000000;
fig = figure('Name',' Checkbox Menu for Selecting Enlarged Graphs ',...
             'Position',[wpxx hpxx 130 150],'Resize','off');
txt_var = uicontrol(fig,...
                        'Style','text',...
                        'Position',[5 125 120 20],...
                        'String',' Select Full Size Graphs ',...
                        'BackgroundColor',[0.7 0.7 0.7]);
sym(1) = uicontrol(fig,...
                       'Style','checkbox',...
                       'Position',[5 105 120 20],...
                       'String',' Upper-Left  Plot ',...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'Value',0,...
                       'UserData',[1],...
                       'CallBack',['ud(1) = get(sym(1),''UserData'');',...
                        'ud(1) = get(sym(1),''Value'');']);
sym(2) = uicontrol(fig,...
                       'Style','checkbox',...
                       'Position',[5 80 120 20],...
                       'String',' Upper-Right Plot ',...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'Value',0,...
                       'UserData',[1],...
                       'CallBack',['ud(2) = get(sym(2),''UserData'');',...
                        'ud(2) = get(sym(2),''Value'');']);
sym(3) = uicontrol(fig,...
                       'Style','checkbox',...
                       'Position',[5 55 120 20],...
                       'String',' Lower-Left  Plot ',...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'Value',0,...
                       'UserData',[1],...
                       'CallBack',['ud(3) = get(sym(3),''UserData'');',...
                        'ud(3) = get(sym(3),''Value'');']);
sym(4) = uicontrol(fig,...
                       'Style','checkbox',...
                       'Position',[5 30 120 20],...
                       'String',' Lower-Right Plot ',...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'Value',0,...
                       'UserData',[1],...
                       'CallBack',['ud(4) = get(sym(4),''UserData'');',...
                        'ud(4) = get(sym(4),''Value'');']);
sym(5) = uicontrol(fig,...
                       'Style','checkbox',...
                       'Position',[5 5 120 20],...
                       'String',' None ',...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'Value',0,...
                       'UserData',[1],...
                       'CallBack',['ud(5) = get(sym(5),''UserData'');',...
                        'ud(5) = get(sym(5),''Value'');']);
pause,
close(fig),
k123 = 0;
for i123 = 1:5;
if ud(i123) == 0;
k123 = k123+1;
else % ud
largex(i123) = i123;
end % if ud
end % for i123
if k123 < 5;
break,
end % if k123
end % for j123
if largex(5) == 0;
for i4 = 1:4;
figure(kwind),
largep = largex(i4);
if largep > 0;
switch largep;
case 1; % largep 
nwind = nwind+1;
xdam(1,:)= irft(i5,1,:); 
figrlrg1 = figure('Name',[xdam(1,:)]);
plot(x1,y1,'r-','MarkerSize',10,'LineWidth',2.0);
case 2; % largep 
nwind = nwind+1;
xdam(2,:)= irft(i5,2,:); 
figrlrg2 = figure('Name',[xdam(2,:)]);
plot(x1,y2,'b-','MarkerSize',10,'LineWidth',2.0);
case 3; % largep 
nwind = nwind+1;
xdam(3,:)= irft(i5,3,:); 
figrlrg3 = figure('Name',[xdam(3,:)]);
plot(x1,y3,'g-','MarkerSize',10,'LineWidth',2.0);
case 4; % largep 
nwind = nwind+1;
xdam(4,:)= irft(i5,4,:); 
figrlrg4 = figure('Name',[xdam(4,:)]);
plot(x1,y4,'y-','MarkerSize',10,'LineWidth',2.0);
end % switch largep
set(gca,'Visible','on','LineWidth',3.0,'FontName','Times',...
        'FontSize',14,'FontWeight','bold');
set(get(gca,'XLabel'),'String',xtitle(xaxis,:),...
                      'FontSize',14,'FontWeight','bold');
set(get(gca,'YLabel'),'String',[yrtitle(i5m+largep,:),...
                                yrunits(i5m+largep,:)],...
                      'FontSize',14,'FontWeight','bold');
pause
end % if largep
end % for i4
end % if largex
if i5 == 2 | i5 == 4;
if nwind > 0;
ihcplt = menu('Need HARD COPY of Plots? Follow Instructions.',...
              'Yes. (Window [Select Figure] .. File [Print] and Repeat.)',...
              'No. (Push Button.)');
for jwind = 1:nwind;
close(jwind);
end % for jwind
nwind = 0;
end % if nwind
end % if i5
end % for i5
otherwise; % xaxis93
end % switch xaxis93
case 4; % kkk 
disp(' Please Wait. [Loading Well Data File] ...'),
load well.lis
disp(' You May Now Proceed ...'),
xaxis = menu1('Choose x-Axis for Plots',...
             'Time',...
             'Pore Volume Injected',...
             'QUIT PROGRAM');
xaxis94 = xaxis;
switch xaxis94;
case {1,2}; % xaxis94
vec = well(:,3);
nrmax = size(vec);
nwact = 0;
dumc = 0;
for i = 1:nrmax;
if vec(i) ~= dumc;
nwact = nwact+1;
dumc = vec(i);
end % if vec
end % for i
nwmax = max(vec);
jhak = nwmax;
maxudi = jhak+1;
if jhak == 1;
idx(1) = 1;
else % jhak
for j123 = 1:1000000;
ud = [];
fig = figure('Name',' Text Menu for Entering Well IDs ',...
             'Position',[360 285 260 110],'Resize','off');
txt_title = uicontrol(fig,...
                          'Style','text',...
                          'Position',[20 80 220 20],...
                          'String',[' Enter Well IDs ',...
                           '(Max. ',int2str(jhak),')'],...
                          'BackgroundColor',[0.7 0.7 0.7]);
tm_stops = uicontrol(gcf,...
                         'Style','edit',...
                         'Position',[20 45 220 25]);
pb_ok = uicontrol(gcf,...
                      'Style','pushbutton',...
                      'String',' Accept ',...
                      'Position',[20 10 60 25],...
                      'CallBack',[...
                       'ud = str2num(get(tm_stops,''String''));',...
                       'if isempty(ud);',...
                       'else;',...
                       '[idum,nsz] = size(ud);',...
                       'for i = 1:nsz;',...
                       'if ud(i) <= 0 | ud(i) > maxudi;',...
                       'ud(i) = maxudi;',...
                       'end,',...
                       'end,',...
                       'idx = zeros(1,jhak);',...
                       'for i = 1:nsz;',...
                       'idx(ud(i)) = 1;',...
                       'end,',...
                       'close(fig),',...
                       'nocont = nocont+1;',...
 'disp([''* '',num2str(nocont),'' * Hit RETURN Key to Continue ...'']),',...
                       'end,']);
pb_all = uicontrol(gcf,...
                       'Style','pushbutton',...
                       'String',' Select All ',...
                       'Position',[100 10 60 25],...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'UserData',[1:jhak],...
                       'CallBack',['ud = get(pb_all,''UserData'');',...
                        'for i = 1:jhak;',...
                        'idx(ud(i)) = 1;',...
                        'end,',...
                        'close(fig),',...
                        'nocont = nocont+1;',...
 'disp([''* '',num2str(nocont),'' * Hit RETURN Key to Continue ...'']),']);
pb_qut = uicontrol(gcf,...
                       'Style','pushbutton',...
                       'String',' QUIT ALL',...
                       'Position',[180 10 60 25],...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'UserData',[1:jhak],...
                       'CallBack',['ud = get(pb_qut,''UserData'');',...
                        'for i = 1:jhak;',...
                        'idx(ud(i)) = 0;',...
                        'end,',...
                        'close(fig),',...
                        'nocont = nocont+1;',...
 'disp([''* '',num2str(nocont),'' * Hit RETURN Key to Continue ...'']),']);
dump = input(' ');
if isempty(ud);
close(fig)
else
break,
end % if isempty
end % for j123
end % if jhak
idw = idx;
for nw = 1:nwmax;
if idw(nw) == 1;
ns = 0;
nf = 0;
for n = 1:nrmax;
if vec(n) == nw;
nf = n;
end % if vec
end % for n
for n = 1:nrmax;
if vec(n) == nw;
ns = n;
break;
end % if vec
end % for n
iprcdw94 = menu1('Course of Action?',...
               ['Proceed with Well W-',int2str(nw),' Performance'],...
                'Go to Next Well Performance',... 
                'QUIT ALL WELL PERFORMANCES');
switch iprcdw94;
case 1; % iprcdw94 
if xaxis == 1;
x1 = well(ns:nf,2);
x1 = x1/yr;
elseif xaxis == 2;
x1 = well(ns:nf,12);
end % if xaxis
nwind = 0;
for i5 = 1:i5mxw;
nwind = nwind+1;
kwind = nwind;
i5m = (i5-1)*4;
switch i5;
case 1; % i5 
y1 = well(ns:nf,7);
y2 = well(ns:nf,9);
y3 = well(ns:nf,8);
y4 = well(ns:nf,10);
case 2; % i5
if isim == 1;
y1 = well(ns:nf,13);
elseif isim == 2;
y1 = well(ns:nf,8);
end % if isim
yo = well(ns:nf,8);
yo = yo+0.01;
y2 = well(ns:nf,9);
y2 = y2 ./yo;
y3 = well(ns:nf,11);
y4 = well(ns:nf,10);
y4 = y4 ./yo;
end % switch i5
figwp1 = figure('Name',mwft(i5,:));
for i4 = 1:4;
switch i4;
case 1; % i4 
subplot(2,2,1),plot(x1,y1,'r-','MarkerSize',10,'LineWidth',2.0);
case 2; % i4 
subplot(2,2,2),plot(x1,y2,'b-','MarkerSize',10,'LineWidth',2.0);
case 3; % i4 
subplot(2,2,3),plot(x1,y3,'g-','MarkerSize',10,'LineWidth',2.0);
case 4; % i4 
subplot(2,2,4),plot(x1,y4,'y-','MarkerSize',10,'LineWidth',2.0);
end % switch i4
set(gca,'Visible','on','LineWidth',3.0,'FontName','Times',...
        'FontSize',10,'FontWeight','bold');
set(get(gca,'XLabel'),'String',xtitle(xaxis,:),...
                      'FontSize',10,'FontWeight','bold');
set(get(gca,'YLabel'),'String',['  W-',int2str(nw),ywtitle(i5m+i4,:),...
                                                   ywunits(i5m+i4,:)],...
                      'FontSize',10,'FontWeight','bold');
pause
end % for i4
ud = [];
ud(1:5) = 0;
largex(1:5) = 0;
for j123 = 1:1000000;
fig = figure('Name',' Checkbox Menu for Selecting Enlarged Graphs ',...
             'Position',[wpxx hpxx 130 150],'Resize','off');
txt_var = uicontrol(fig,...
                        'Style','text',...
                        'Position',[5 125 120 20],...
                        'String',' Select Full Size Graphs ',...
                        'BackgroundColor',[0.7 0.7 0.7]);
sym(1) = uicontrol(fig,...
                       'Style','checkbox',...
                       'Position',[5 105 120 20],...
                       'String',' Upper-Left  Plot ',...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'Value',0,...
                       'UserData',[1],...
                       'CallBack',['ud(1) = get(sym(1),''UserData'');',...
                        'ud(1) = get(sym(1),''Value'');']);
sym(2) = uicontrol(fig,...
                       'Style','checkbox',...
                       'Position',[5 80 120 20],...
                       'String',' Upper-Right Plot ',...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'Value',0,...
                       'UserData',[1],...
                       'CallBack',['ud(2) = get(sym(2),''UserData'');',...
                        'ud(2) = get(sym(2),''Value'');']);
sym(3) = uicontrol(fig,...
                       'Style','checkbox',...
                       'Position',[5 55 120 20],...
                       'String',' Lower-Left  Plot ',...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'Value',0,...
                       'UserData',[1],...
                       'CallBack',['ud(3) = get(sym(3),''UserData'');',...
                        'ud(3) = get(sym(3),''Value'');']);
sym(4) = uicontrol(fig,...
                       'Style','checkbox',...
                       'Position',[5 30 120 20],...
                       'String',' Lower-Right Plot ',...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'Value',0,...
                       'UserData',[1],...
                       'CallBack',['ud(4) = get(sym(4),''UserData'');',...
                        'ud(4) = get(sym(4),''Value'');']);
sym(5) = uicontrol(fig,...
                       'Style','checkbox',...
                       'Position',[5 5 120 20],...
                       'String',' None ',...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'Value',0,...
                       'UserData',[1],...
                       'CallBack',['ud(5) = get(sym(5),''UserData'');',...
                        'ud(5) = get(sym(5),''Value'');']);
pause,
close(fig),
k123 = 0;
for i123 = 1:5;
if ud(i123) == 0;
k123 = k123+1;
else % ud
largex(i123) = i123;
end % if ud
end % for i123
if k123 < 5;
break,
end % if k123
end % for j123
if largex(5) == 0;
for i4 = 1:4;
figure(kwind),
largep = largex(i4);
if largep > 0;
switch largep;
case 1; % largep
nwind = nwind+1;
xdum(1,:)= iwft(i5,1,:); 
figwlrg1 = figure('Name',[xdum(1,:)]);
plot(x1,y1,'r-','MarkerSize',10,'LineWidth',2.0);
case 2; % largep
nwind = nwind+1;
xdum(2,:)= iwft(i5,2,:); 
figwlrg2 = figure('Name',[xdum(2,:)]);
plot(x1,y2,'b-','MarkerSize',10,'LineWidth',2.0);
case 3; % largep
nwind = nwind+1;
xdum(3,:)= iwft(i5,3,:); 
figwlrg3 = figure('Name',[xdum(3,:)]);
plot(x1,y3,'g-','MarkerSize',10,'LineWidth',2.0);
case 4; % largep
nwind = nwind+1;
xdum(4,:)= iwft(i5,4,:); 
figwlrg4 = figure('Name',[xdum(4,:)]);
plot(x1,y4,'y-','MarkerSize',10,'LineWidth',2.0);
end % switch largep
set(gca,'Visible','on','LineWidth',3.0,'FontName','Times',...
        'FontSize',14,'FontWeight','bold');
set(get(gca,'XLabel'),'String',xtitle(xaxis,:),...
                      'FontSize',14,'FontWeight','bold');
set(get(gca,'YLabel'),'String',['  W-',int2str(nw),ywtitle(i5m+largep,:),...
                                                   ywunits(i5m+largep,:)],...
                      'FontSize',14,'FontWeight','bold');
pause
end % if largep
end % for i4
end % if largex
if i5 == 2 | i5 == 4;
if nwind > 0;
ihcplt = menu('Need HARD COPY of Plots? Follow Instructions.',...
              'Yes. (Window [Select Figure] .. File [Print] and Repeat.)',...
              'No. (Push Button.)');
for jwind = 1:nwind;
close(jwind);
end % for jwind
nwind = 0;
end % if nwind
end % if i5
end % for i5
case 2; % iprcdw94 
otherwise; % iprcdw94 
break,
end % switch iprcdw94
end % if idw
end % for nw
otherwise; % xaxis94
end % switch xaxis94
case {5,6,7}; % kkk 
disp(' Please Wait. [Loading Reservoir Rock Data File] ...'),
load rokmat.lis
disp(' You May Now Proceed ...'),
mat = rokmat;
ns = 0;
nx = mat(ns+1,1);
if nx <= nhex;
nrx1 = 1;
nex = nx;
else % nx
nrx1 = fix(nx/nhex);
nex = nhex;
nx0 = nrx1*nhex;
if nx0 ~= nx;
nrx1 = nrx1+1;
nex = nx-nx0;
end % if nx0
end % if nx
nex1 = 1+nex;
xt = [];
for i1 = 1:nrx1;
ns = ns+1;
if i1 == nrx1;
x0 = mat(ns,2:1:nex1);
else % i1
x0 = mat(ns,2:1:nhex1);
end % if i1
xt = [xt x0];
end % for i1
xbx = cumsum(xt);
%%%%%%%%
xv = xbx-xt/2;
ny = mat(ns+1,1);
if ny <= nhex;
nry1 = 1;
ney = ny;
else % ny
nry1 = fix(ny/nhex);
ney = nhex;
ny0 = nry1*nhex;
if ny0 ~= ny;
nry1 = nry1+1;
ney = ny-ny0;
end % if ny0
end % if ny
ney1 = 1+ney;
yt = [];
for i1 = 1:nry1;
ns = ns+1;
if i1 == nry1;
y0 = mat(ns,2:1:ney1);
else % i1
y0 = mat(ns,2:1:nhex1);
end % if i1
yt = [yt y0];
end % for i1
yby = cumsum(yt);
%%%%%%%
yv = yby-yt/2;
yv = yv(ny:-1:1);
nz = mat(ns+1,1);
if nz <= nhex;
nrz1 = 1;
nez = nz;
else % nz
nrz1 = fix(nz/nhex);
nez = nhex;
nz0 = nrz1*nhex;
if nz0 ~= nz;
nrz1 = nrz1+1;
nez = nz-nz0;
end % if nz0
end % if nz
nez1 = 1+nez;
zt = [];
for i1 = 1:nrz1;
ns = ns+1;
if i1 == nrz1;
z0 = mat(ns,2:1:nez1);
else % i1
z0 = mat(ns,2:1:nhex1);
end % if i1
zt = [zt z0];
end % for i1
zbz = cumsum(zt);
%%%%%%%%%%
zv = zbz-zt/2;
zv = zv(nz:-1:1);
zbz = zbz(nz:-1:1);
nynrx1 = ny*nrx1;
nynz = ny*nz;
nxnz = nx*nz;
nxny = nx*ny;
%%%%%%%%%%%%%%%%%%%%
for i3 = 1:nz;
for i2 = 1:ny;
idum = i2+(i3-1)*ny;
for i1 = 1:nx;
avbulk(idum,i1) = xt(i1)*yt(i2)*zt(i3);
end % for i1
end % for i2
end % for i3
%%%%%%%%%%%%%%%%%%%%
if kkk == 6;
xamin = min(xv);
xamax = max(xv);
yamin = min(yv);
yamax = max(yv);
zamin = min(zv);
zamax = max(zv);
else % kkk
xamin = 0;
xamax = max(xbx);
yamin = 0;
yamax = max(yby);
zamin = 0;
zamax = max(zbz);
end % if kkk 
if kkk == 5 | kkk == 6;
nwind = 0;
mm = menu1('Choose Reservoir Data',...
          'Reservoir Performance Parameters',...
          'Reservoir Rock and Fluid Data',...
          'QUIT PROGRAM');
mm956 = mm;
switch mm956
case {1,2}; % mm956
if mm == 1;
disp(' Please Wait. [Loading Reservoir Performance Data File] ...'),
load resmat.lis
disp(' You May Now Proceed ...'),
if isim == 1;
irp = 1;
elseif isim == 2;
irp = 2;
end % if isim
elseif mm == 2;
irp = 3;
end % if mm
rxl(1:9,:) = rpi(irp,1:9,:);
ypl(1:9,:) = ypi(irp,1:9,:);
pux(1:9,:) = pui(irp,unt,1:9,:); 
nop9 = 9;
ud = [];
ud(1:nop9) = 0;
for j123 = 1:1000000;
fig = figure('Name',' Checkbox Menu for Selecting Reservoir Parameters ',...
             'Position',[365 250 200 280],'Resize','off');
txt_var = uicontrol(fig,...
                        'Style','text',...
                        'Position',[10 240 180 30],...
                        'String',rrpp(irp,:),...
                        'BackgroundColor',[0.7 0.7 0.7]);
sym(1) = uicontrol(fig,...
                       'Style','checkbox',...
                       'Position',[10 210 180 20],...
                       'String',srpp(irp,1,:),...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'Value',0,...
                       'UserData',[1],...
                       'CallBack',['ud(1) = get(sym(1),''UserData'');',...
                        'ud(1) = get(sym(1),''Value'');']);
sym(2) = uicontrol(fig,...
                       'Style','checkbox',...
                       'Position',[10 185 180 20],...
                       'String',srpp(irp,2,:),...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'Value',0,...
                       'UserData',[1],...
                       'CallBack',['ud(2) = get(sym(2),''UserData'');',...
                        'ud(2) = get(sym(2),''Value'');']);
sym(3) = uicontrol(fig,...
                       'Style','checkbox',...
                       'Position',[10 160 180 20],...
                       'String',srpp(irp,3,:),...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'Value',0,...
                       'UserData',[1],...
                       'CallBack',['ud(3) = get(sym(3),''UserData'');',...
                        'ud(3) = get(sym(3),''Value'');']);
sym(4) = uicontrol(fig,...
                       'Style','checkbox',...
                       'Position',[10 135 180 20],...
                       'String',srpp(irp,4,:),...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'Value',0,...
                       'UserData',[1],...
                       'CallBack',['ud(4) = get(sym(4),''UserData'');',...
                        'ud(4) = get(sym(4),''Value'');']);
sym(5) = uicontrol(fig,...
                       'Style','checkbox',...
                       'Position',[10 110 180 20],...
                       'String',srpp(irp,5,:),...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'Value',0,...
                       'UserData',[1],...
                       'CallBack',['ud(5) = get(sym(5),''UserData'');',...
                        'ud(5) = get(sym(5),''Value'');']);
sym(6) = uicontrol(fig,...
                       'Style','checkbox',...
                       'Position',[10 85 180 20],...
                       'String',srpp(irp,6,:),...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'Value',0,...
                       'UserData',[1],...
                       'CallBack',['ud(6) = get(sym(6),''UserData'');',...
                        'ud(6) = get(sym(6),''Value'');']);
sym(7) = uicontrol(fig,...
                       'Style','checkbox',...
                       'Position',[10 60 180 20],...
                       'String',srpp(irp,7,:),...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'Value',0,...
                       'UserData',[1],...
                       'CallBack',['ud(7) = get(sym(7),''UserData'');',...
                        'ud(7) = get(sym(7),''Value'');']);
sym(8) = uicontrol(fig,...
                       'Style','checkbox',...
                       'Position',[10 35 180 20],...
                       'String',srpp(irp,8,:),...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'Value',0,...
                       'UserData',[1],...
                       'CallBack',['ud(8) = get(sym(8),''UserData'');',...
                        'ud(8) = get(sym(8),''Value'');']);
sym(9) = uicontrol(fig,...
                       'Style','checkbox',...
                       'Position',[10 10 180 20],...
                       'String',srpp(irp,9,:),...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'Value',0,...
                       'UserData',[1],...
                       'CallBack',['ud(9) = get(sym(9),''UserData'');',...
                        'ud(9) = get(sym(9),''Value'');']);
pause,
close(fig),
k123 = 0;
for i123 = 1:nop9;
if ud(i123) == 0;
k123 = k123+1;
end % if ud
end % for i123
if k123 < nop9;
break,
end % if k123
end % for j123
idp = ud;
%%%inhance = menu1(' Enhance Graphics? ',...
%%%               '             Yes.             ',...
%%%               '             No.              ');
if mm == 1;
disp(' Please Wait. [Processing Data] ...'),
mat = resmat;
disp(' You May Now Proceed ...'),
[mrow,mcol] = size(mat);
for j = 1:mcol;
for i = 1:mrow;
if mat(i,j) < -100;
mat(i,j) = nan;
end % if mat
end % for i
end % for j
nop = mat(ns+1,1);
if nop9 <= nhex;
nrp1 = 1;
nep = nop9;
else % nop9
nrp1 = fix(nop9/nhex);
nep = nhex;
nop0 = nrp1*nhex;
if nop0 ~= nop9;
nrp1 = nrp1+1;
nep = nop9-nop0;
end % if nop0
end % if nop9
nep1 = 1+nep;
iprnt = [];
for i1 = 1:nrp1;
ns = ns+1;
if i1 == nrp1;
iprnt0 = mat(ns,2:1:nep1);
else % i1
iprnt0 = mat(ns,2:1:nhex1);
end % if i1
iprnt = [iprnt iprnt0];
end % for i1
nnss = ns;
nopnz = nop*nz;
[mrow,mcol] = size(mat);
ntm = (mrow-nnss)/(nynrx1*nopnz+1);
for i = 1:nop9;
if idp(i) == 0 | iprnt(i) == 0;
idp(i) = 0;
end % if idp|iprnt
end % for i
nts = ntm-1;
jhak = ntm;
maxudi = jhak+1;
jhakm1 = jhak-1;
if jhak == 1;
idx(1) = 1;
else % jhak
for j123 = 1:1000000;
ud = [];
iquit = 0;
fig = figure('Name',' Text Menu for Entering Time Stop IDs ',...
             'Position',[360 285 260 110],'Resize','off');
txt_title = uicontrol(fig,...
                          'Style','text',...
                          'Position',[20 80 220 20],...
                          'String',[' Enter Time Stop IDs ',...
                           '(Max. 0 + ',int2str(jhakm1),')'],...
                          'BackgroundColor',[0.7 0.7 0.7]);
tm_stops = uicontrol(gcf,...
                         'Style','edit',...
                         'Position',[20 45 220 25]);
pb_ok = uicontrol(gcf,...
                      'Style','pushbutton',...
                      'String',' Accept ',...
                      'Position',[20 10 60 25],...
                      'CallBack',[...
                       'ud = str2num(get(tm_stops,''String''));',...
                       'if isempty(ud);',...
                       'else;',...
                       '[idum,nsz] = size(ud);',...
                       'for i = 1:nsz;',...
                       'if ud(i) < 0 | ud(i) > maxudi;',...
                       'ud(i) = maxudi;',...
                       'end,',...
                       'end,',...
                       'ud = ud+ones(1,nsz);',...
                       'idx = zeros(1,jhak);',...
                       'for i = 1:nsz;',...
                       'idx(ud(i)) = 1;',...
                       'end,',...
                       'close(fig),',...
                       'nocont = nocont+1;',...
 'disp([''* '',num2str(nocont),'' * Hit RETURN Key to Continue ...'']),',...
                       'end,']);
pb_all = uicontrol(gcf,...
                       'Style','pushbutton',...
                       'String',' Select All ',...
                       'Position',[100 10 60 25],...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'UserData',[0:jhakm1],...
                       'CallBack',['ud = get(pb_all,''UserData'');',...
                        'ud = ud+ones(1,jhak);',...
                        'for i = 1:jhak;',...
                        'idx(ud(i)) = 1;',...
                        'end,',...
                        'close(fig),',...
                        'nocont = nocont+1;',...
 'disp([''* '',num2str(nocont),'' * Hit RETURN Key to Continue ...'']),']);
pb_qut = uicontrol(gcf,...
                       'Style','pushbutton',...
                       'String',' QUIT ALL ',...
                       'Position',[180 10 60 25],...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'UserData',[0:jhakm1],...
                       'CallBack',['ud = get(pb_qut,''UserData'');',...
                        'ud = ud+ones(1,jhak);',...
                        'for i = 1:jhak;',...
                        'idx(ud(i)) = 0;',...
                        'end,',...
                        'iquit = 1;',...
                        'close(fig),',...
                        'nocont = nocont+1;',...
 'disp([''* '',num2str(nocont),'' * Hit RETURN Key to Continue ...'']),']);
dump = input(' ');
if isempty(ud);
close(fig)
else
break,
end % if isempty
end % for j123
end % if jhak
idt = idx;
elseif mm == 2;
iquit = 0;
mat = rokmat;
[mrow,mcol] = size(mat);
for j = 1:mcol;
for i = 1:mrow;
if mat(i,j) < -100;
mat(i,j) = nan;
end % if mat
end % for i
end % for j
nnss = ns;
nop = nop9;
iprnt = ones(1,nop9);
if nx == 1;
idp(4) = 0;
iprnt(4) = 0;
nop = nop-1;
end % if nx
if ny == 1;
iprnt(5) = 0;
idp(5) = 0;
nop = nop-1;
end % if ny
if nz == 1;
iprnt(6) = 0;
idp(6) = 0;
nop = nop-1;
end % if nz
nopnz = nop*nz;
ntm = 1;
idt = ones(1,ntm);
end % if mm
switch iquit;
case 0; % iquit
if mm == 1;
idetail = menu1('Type of Presentation?',...
           'Gross  (Whole) Reservoir',...
           'Detailed Reservoir Units');
elseif mm == 2;
idetail = 2;
end % if mm
if idetail == 1;
nslcv(1) = 1;
nslcv(2) = 1;
nslcv(3) = 1;
nslcv(4) = 1;
nslcv(5) = 1;
nslcv(6) = 1;
elseif idetail == 2;
nslcv(1) = nz;
nslcv(2) = ny;
nslcv(3) = nx;
nslcv(4) = nynz;
nslcv(5) = nxnz;
nslcv(6) = nxny;
end % if idetail
if kkk == 5;
if nz > 1 & ny > 1 & nx > 1; 
if idetail == 1;
iii = menu1('Choose Plane',...
           'Areal x-y Plane',...
           'Vertical x-z Plane',...
           'Vertical y-z Plane',...
           'QUIT ALL PLANES');
if iii == 4;
iii = 7;
end % if iii
elseif idetail == 2;
iii = menu1('Choose Plane or Profile',...
           'Areal x-y Plane',...
           'Vertical x-z Plane',...
           'Vertical y-z Plane',...
           'Profile Along the x-axis',...
           'Profile Along the y-axis',...
           'Profile Along the z-axis',...
           'QUIT ALL PLANES & PROFILES');
end % if idetail
elseif nz == 1 & nx > 1 & ny > 1; 
iii = menu1('Choose Plane or Profile',...
           'Areal x-y Plane',...
           'Profile Along the x-axis',...
           'Profile Along the y-axis',...
           'QUIT ALL PLANES & PROFILES');
if iii == 1;
iii = 1;
elseif iii == 2;
iii = 4;
elseif iii == 3;
iii = 5;
elseif iii == 4;
iii = 7;
end % if iii
elseif ny == 1 & nz > 1 & nx > 1; 
iii = menu1('Choose Plane or Profile',...
           'Vertical x-z Plane',...
           'Profile Along the x-axis',...
           'Profile Along the z-axis',...
           'QUIT ALL PLANES & PROFILES');
if iii == 1;
iii = 2;
elseif iii == 2;
iii = 4;
elseif iii == 3;
iii = 6;
elseif iii == 4;
iii = 7;
end % if iii
elseif nx == 1 & nz > 1 & ny > 1; 
iii = menu1('Choose Plane or Profile',...
           'Vertical y-z Plane',...
           'Profile Along the y-axis',...
           'Profile Along the z-axis',...
           'QUIT ALL PLANES & PROFILES');
if iii == 1;
iii = 3;
elseif iii == 2;
iii = 5;
elseif iii == 3;
iii = 6;
elseif iii == 4;
iii = 7;
end % if iii
elseif nz == 1 & ny == 1 & nx > 1;
iii = 4;
elseif nz == 1 & nx == 1 & ny > 1;
iii = 5;
elseif nx == 1 & ny == 1 & nz > 1;
iii = 6;
end % if nz&ny&nx
elseif kkk == 6;
if nz > 1 & ny > 1 & nx > 1; 
iii = menu1('Choose Surface',...
           'Areal x-y Surface',...
           'Vertical x-z Surface',...
           'Vertical y-z Surface',...
           'QUIT ALL SURFACES');
if iii == 4;
iii = 7;
end % if iii
elseif nz == 1 & nx > 1 & ny > 1; 
iii = 1;
elseif ny == 1 & nz > 1 & nx > 1; 
iii = 2;
elseif nx == 1 & nz > 1 & ny > 1; 
iii = 3;
elseif nz == 1 & ny == 1 & nx > 1;
iii = 7;
elseif nz == 1 & nx == 1 & ny > 1;
iii = 7;
elseif nx == 1 & ny == 1 & nz > 1;
iii = 7;
end % if nz&ny&nx
end % if kkk
if iii < 7;
nslc = nslcv(iii);
jhak = nslc;
maxudi = jhak+1;
if jhak == 1;
idx(1) = 1;
else % jhak
for j123 = 1:1000000;
ud = [];
fig = figure('Name','Text Menu for Entering Plane & Profile IDs',...
             'Position',[360 285 260 110],'Resize','off');
txt_title = uicontrol(fig,...
                          'Style','text',...
                          'Position',[20 80 220 20],...
                          'String',['Enter Plane, Sec., or Profile IDs ',...
                           '(Max. ',int2str(jhak),')'],...
                          'BackgroundColor',[0.7 0.7 0.7]);
tm_stops = uicontrol(gcf,...
                         'Style','edit',...
                         'Position',[20 45 220 25]);
pb_ok = uicontrol(gcf,...
                      'Style','pushbutton',...
                      'String',' Accept ',...
                      'Position',[20 10 60 25],...
                      'CallBack',[...
                       'ud = str2num(get(tm_stops,''String''));',...
                       'if isempty(ud);',...
                       'else;',...
                       '[idum,nsz] = size(ud);',...
                       'for i = 1:nsz;',...
                       'if ud(i) <= 0 | ud(i) > maxudi;',...
                       'ud(i) = maxudi;',...
                       'end,',...
                       'end,',...
                       'idx = zeros(1,jhak);',...
                       'for i = 1:nsz;',...
                       'idx(ud(i)) = 1;',...
                       'end,',...
                       'close(fig),',...
                       'nocont = nocont+1;',...
 'disp([''* '',num2str(nocont),'' * Hit RETURN Key to Continue ...'']),',...
                       'end,']);
pb_all = uicontrol(gcf,...
                       'Style','pushbutton',...
                       'String',' Select All ',...
                       'Position',[100 10 60 25],...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'UserData',[1:jhak],...
                       'CallBack',['ud = get(pb_all,''UserData'');',...
                        'for i = 1:jhak;',...
                        'idx(ud(i)) = 1;',...
                        'end,',...
                        'close(fig),',...
                        'nocont = nocont+1;',...
 'disp([''* '',num2str(nocont),'' * Hit RETURN Key to Continue ...'']),']);
dump = input(' ');
if isempty(ud);
close(fig)
else
break,
end % if isempty
end % for j123
end % if jhak
idl = idx;
for nn = 1:ntm;
if idt(nn) == 1;
n = nn-1;
nns = nnss+nn+n*nopnz*nynrx1;
tm = mat(nns,1)/yr;
if mm == 1;
iprcdt956 = menu1('Course of Action?',...
                ['Proceed with Time (ID, ',num2str(n),') = ',...
                  num2str(tm),' ',iutt(unt,:)],...
                 'Go to Next Time Stop',...
                 'QUIT ALL TIME STOPS');
elseif mm == 2;
iprcdt956 = 1;
end % if mm
switch iprcdt956;
case 1; % iprcdt956
lll = 0;
for l = 1:nop9;
if iprnt(l) == 1;
lll = lll+1;
end % if iprnt
if idp(l) == 1;
ipyes = 1;
iprcdv956 = menu1('Course of Action?',...
                ['Proceed with ',rxl(l,:),' Variable Graph'],...
                 'Go to Next Variable Graph',...
                 'QUIT ALL VARIABLE GRAPHS');
switch iprcdv956;
case 1; % iprcdv956
ns0 = 1+nns+(lll-1)*nz*nynrx1;
zza = [];
for k1 = 1:nz;
zzb = [];
for i1 = 1:nrx1;
ns = ns0;
nf = ns+ny-1;
if i1 == nrx1;
zz0 = mat(ns:1:nf,2:1:nex1);
else % i1
zz0 = mat(ns:1:nf,2:1:nhex1);
end % if i1
zzb = [zzb zz0];
ns0 = ns0+ny;
end % for i1
zza = [zza;zzb];
end % for k1
if mm == 2 & l == 2;
zza = -zza;
end % if mm & l
for k = 1:nslcv(iii);
if idl(k) == 1;
ipyes = 1;
if nwind >= mxnwind;
ihcplt = menu('Need HARD COPY of Plots? Follow Instructions.',...
              'Yes. (Window [Select Figure] .. File [Print] and Repeat.)',...
              'No. (Push Button.)');
for jwind = 1:nwind;
close(jwind);
end % for jwind
nwind = 0;
end % if nwind
if idetail == 1;
iprcds956 = 1;
elseif idetail == 2;
iprcds956 = menu1('Course of Action?',...
                ['Proceed with ',cntsrf(kkk,:),' # ',int2str(k)],...
                ['Go to Next ',cntsrf(kkk,:)],... 
                 'QUIT ALL SECTIONS');
end % if idetail
switch iprcds956;
case 1; % iprcds956
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%FIX FIX FIX %%%%%%
if idetail == 1;
%%%%%%%
switch isim;
case 1; % isim
pphiref = 0;
cphi = 0;
avbulk = 1;
apress = 1;
aphi = 1;
corfac = 1+(apress-pphiref).*cphi;
avpore = avbulk.*aphi;
apolsat = 1;
anostc = 1;
switch l;
case {1,2,3,4,8}; % l
awtfac = avpore.*corfac;
case {5}; % l
awtfac = 1;
case {6}; % l
awtfac = anostc;
case {7,9}; % l
awtfac = avpore.*apolsat;
end % switch l
zza = zza.*awtfac;
case 2; % isim
%switch l;
%case {1,2,3,5}; % l
%case {4}; % l
%case {6}; % l
%case {7,8,9}; % l
%end % switch l
end % switch isim
%%%%%%%
if iii == 1;
t4 = rt4(iii,:);
tx = rt6(4,:);
ty = rt6(5,:);
xo = xamin;
yo = yamin;
xs = xamax;
ys = yamax;
x = xv;
y = yv;
ns1 = 1+(nz-k)*ny;
nf1 = ns1+ny-1;
inc1 = 1;
ns2 = 1;
nf2 = nx;
inc2 = 1;
zz = zza(ns1:inc1:nf1,ns2:inc2:nf2);
elseif iii == 2;
t4 = rt4(iii,:);
tx = rt6(4,:);
ty = rt6(6,:);
xo = xamin;
yo = zamin;
xs = xamax;
ys = zamax;
x = xv;
y = zv;
ns1 = 1+ny-k;
nf1 = ns1+ny*(nz-1);
inc1 = ny;
ns2 = 1;
nf2 = nx;
inc2 = 1;
zz = zza(ns1:inc1:nf1,ns2:inc2:nf2);
elseif iii == 3;
t4 = rt4(iii,:);
tx = rt6(5,:);
ty = rt6(6,:);
xo = yamin;
yo = zamin;
xs = yamax;
ys = zamax;
x = yv;
y = zv;
ns0 = 1;
zzb = [];
for k1 = 1:nz;
ns1 = ns0;
nf1 = ns1+ny-1;
inc1 = 1;
zz0 = zza(ns1:inc1:nf1,k);
zzb = [zzb zz0];
ns0 = ns0+ny;
end % for k1
zz = zzb';
elseif iii == 4;
xo = xamin;
xs = xamax;
x = xv;
kkl = fix(k/ny);
if kkl*ny < k;
kkl = 1+kkl;
end % if kkl*ny
jjl = k-(kkl-1)*ny;
j9 = jjl;
k9 = kkl;
ns1 = 1+nynz-(kkl-1)*ny-jjl;
zz = zza(ns1,1:nx);
elseif iii == 5;
xo = yamin;
xs = yamax;
x = yv(ny:-1:1);
kkl = fix(k/nx);
if kkl*nx < k;
kkl = 1+kkl;
end % if kkl*nx
iil = k-(kkl-1)*nx;
j9 = iil;
k9 = kkl;
ns1 = nynz-(kkl-1)*ny;
nf1 = ns1-ny+1;
inc1 = -1;
zz = zza(ns1:inc1:nf1,iil);
elseif iii == 6;
xo = zamin;
xs = zamax;
x = zv;
jjl = fix(k/nx);
if jjl*nx < k;
jjl = 1+jjl;
end % if jjl*nx
iil = k-(jjl-1)*nx;
j9 = iil;
k9 = jjl;
ns1 = 1+nynz-jjl;
nf1 = ns1-(nz-1)*ny-1;
inc1 = -ny;
zz = zza(ns1:inc1:nf1,iil);
zz = zz(nz:-1:1);
end % if iii
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%FIX BOTTOM %%%%%%
elseif idetail == 2;
if iii == 1;
t4 = rt4(iii,:);
tx = rt6(4,:);
ty = rt6(5,:);
xo = xamin;
yo = yamin;
xs = xamax;
ys = yamax;
x = xv;
y = yv;
ns1 = 1+(nz-k)*ny;
nf1 = ns1+ny-1;
inc1 = 1;
ns2 = 1;
nf2 = nx;
inc2 = 1;
zz = zza(ns1:inc1:nf1,ns2:inc2:nf2);
elseif iii == 2;
t4 = rt4(iii,:);
tx = rt6(4,:);
ty = rt6(6,:);
xo = xamin;
yo = zamin;
xs = xamax;
ys = zamax;
x = xv;
y = zv;
ns1 = 1+ny-k;
nf1 = ns1+ny*(nz-1);
inc1 = ny;
ns2 = 1;
nf2 = nx;
inc2 = 1;
zz = zza(ns1:inc1:nf1,ns2:inc2:nf2);
elseif iii == 3;
t4 = rt4(iii,:);
tx = rt6(5,:);
ty = rt6(6,:);
xo = yamin;
yo = zamin;
xs = yamax;
ys = zamax;
x = yv;
y = zv;
ns0 = 1;
zzb = [];
for k1 = 1:nz;
ns1 = ns0;
nf1 = ns1+ny-1;
inc1 = 1;
zz0 = zza(ns1:inc1:nf1,k);
zzb = [zzb zz0];
ns0 = ns0+ny;
end % for k1
zz = zzb';
elseif iii == 4;
xo = xamin;
xs = xamax;
x = xv;
kkl = fix(k/ny);
if kkl*ny < k;
kkl = 1+kkl;
end % if kkl*ny
jjl = k-(kkl-1)*ny;
j9 = jjl;
k9 = kkl;
ns1 = 1+nynz-(kkl-1)*ny-jjl;
zz = zza(ns1,1:nx);
elseif iii == 5;
xo = yamin;
xs = yamax;
x = yv(ny:-1:1);
kkl = fix(k/nx);
if kkl*nx < k;
kkl = 1+kkl;
end % if kkl*nx
iil = k-(kkl-1)*nx;
j9 = iil;
k9 = kkl;
ns1 = nynz-(kkl-1)*ny;
nf1 = ns1-ny+1;
inc1 = -1;
zz = zza(ns1:inc1:nf1,iil);
elseif iii == 6;
xo = zamin;
xs = zamax;
x = zv;
jjl = fix(k/nx);
if jjl*nx < k;
jjl = 1+jjl;
end % if jjl*nx
iil = k-(jjl-1)*nx;
j9 = iil;
k9 = jjl;
ns1 = 1+nynz-jjl;
nf1 = ns1-(nz-1)*ny-1;
inc1 = -ny;
zz = zza(ns1:inc1:nf1,iil);
zz = zz(nz:-1:1);
end % if iii
end % if idetail
if isempty(zz) | isnan(zz);
else
if iii <= 3;
zzmx = max(max(zz));
zzmn = min(min(zz));
%%%if inhance == 1;
%%%mx9 = max(nx,51);
%%%my9 = max(ny,51);
%%%else % inhance
mx9 = nx+1;
my9 = ny+1;
%%%end % if inhance
tix = linspace(xo,xs,mx9);
tiy = linspace(yo,ys,my9);
[xi,yi] = meshgrid(tix,tiy);  
%%zzi = interp2(x,y,zz,xi,yi,'bicubic');
%%zzi = interp2(x,y,zz,xi,yi,'nearest');
%%zzi = interp2(x,y,zz,xi,yi,'bilinear');
zzi = interp2(x,y,zz,xi,yi,'linear');
if zzmx ~= zzmn & zz ~= nan;
ipyes = 1;
else
ipyes = 0;
end % if zzmx & zz
end % iii
if kkk == 5;
if ipyes == 0;
break,
end % if ipyes
if iii <= 3;
nwind = 0;
if ipyes == 1;
for iogrf = 1:1000000;
if nwind >= mxnwind;
ihcplt = menu('Need HARD COPY of Plots? Follow Instructions.',...
              'Yes. (Window [Select Figure] .. File [Print] and Repeat.)',...
              'No. (Push Button.)');
for jwind = 1:nwind;
close(jwind);
end % for jwind
nwind = 0;
end % if nwind
t2ds = menu1('Type of Contour Map?',...
            'Contour-Level Map',...
            'Contour-Fill Map',...
            'QUIT CONTOUR MAPS');
t2ds95 = t2ds;
switch t2ds95;
case {1,2}; % t2ds95
for j123 = 1:1000000;
ud = [];
fig = figure('Name','Text Menu for Entering Number of Contours',...
             'Position',[360 285 260 110],'Resize','off');
txt_title = uicontrol(fig,...
                          'Style','text',...
                          'Position',[20 80 220 20],...
                          'String',...
                          'Input One Entry for Number for Contours',...
                          'BackgroundColor',[0.7 0.7 0.7]);
tm_stops = uicontrol(gcf,...
                         'Style','edit',...
                         'Position',[20 45 220 25]);
pb_ok = uicontrol(gcf,...
                      'Style','pushbutton',...
                      'String',' Accept ',...
                      'Position',[20 10 60 25],...
                      'CallBack',[...
                       'ud = str2num(get(tm_stops,''String''));',...
                       'if isempty(ud);',...
                       'else;',...
                       'if ud(1) <= 0 | ud(1) > 10;',...
                       'ud(1) = 0;',...
                       'end,',...
                       'close(fig),',...
                       'nocont = nocont+1;',...
 'disp([''* '',num2str(nocont),'' * Hit RETURN Key to Continue ...'']),',...
                       'end,']);
pb_all = uicontrol(gcf,...
                       'Style','pushbutton',...
                       'String',' Automatic ',...
                       'Position',[100 10 60 25],...
                       'BackgroundColor',[0.651961 0.651961 0.651961],...
                       'UserData',[0],...
                       'CallBack',['ud = get(pb_all,''UserData'');',...
                        'close(fig),',...
                        'nocont = nocont+1;',...
 'disp([''* '',num2str(nocont),'' * Hit RETURN Key to Continue ...'']),']);
dump = input(' ');
if isempty(ud);
close(fig)
else
break,
end % if isempty
end % for j123
ncl = ud(1);
if ncl == 0;
ncl0 = 1;
else % ncl
ncl0 = 2;
end % if ncl
vv = [xo,xs,yo,ys];
jlabel = menu1(' Label Contours? ',...
              '            Yes.            ',...
              '            No.             ');
nwind = nwind+1;
if mm == 1;
figcntr1 = figure('Name',[rxl(l,:),' Map at Time = ',num2str(tm),...
                     ' ',iutt(unt,:),': ',xautom(ncl0,:),...
                     xlabel(jlabel,:),xfilll(t2ds,:)]);
elseif mm == 2;
figcntr1 = figure('Name',[rxl(l,:),' Map: ',xautom(ncl0,:),...
                     xlabel(jlabel,:),xfilll(t2ds,:)]);
end % if mm 
plot(xs,0,'k.',0,ys,'k.','MarkerSize',2,'LineWidth',0.1);
set(gca,'Visible','on','LineWidth',3.0,'FontName','Times',...
        'FontSize',10,'FontWeight','bold');
axis(vv);
if iii == 1;
axis('manual','fill','equal');
else % iii
axis('manual','fill');
end % if iii
hold on;
if ncl == 0;
[C,h] = contour(xi,yi,zzi);
if t2ds == 2;
contourf(xi,yi,zzi);
end % if t2ds
else % ncl
[C,h] = contour(xi,yi,zzi,ncl);
if t2ds == 2;
contourf(xi,yi,zzi,ncl);
end % if t2ds
end % if ncl
if jlabel == 1;
clabel(C,h);
end % if jlabel
set(gca,'Visible','on','LineWidth',3.0,'FontName','Times',...
        'FontSize',10,'FontWeight','bold');
set(get(gca,'XLabel'),'String',[' ',tx,'-axis ',iulg(unt,:)],...
                      'FontSize',14,'FontWeight','bold');
set(get(gca,'YLabel'),'String',[' ',ty,'-axis ',iulg(unt,:)],...
                      'FontSize',14,'FontWeight','bold');
if mm == 1;
if idetail == 1;
set(get(gca,'Title'), 'String',[rxl(l,:),pux(l,:),', Whole Reservoir',...
                      ', Time = ',num2str(tm),' ',iutt(unt,:)],...
                      'FontSize',14,'FontWeight','bold');
elseif idetail == 2;
set(get(gca,'Title'), 'String',[rxl(l,:),pux(l,:),', ',t4,' = ',int2str(k),...
                      ', Time = ',num2str(tm),' ',iutt(unt,:)],...
                      'FontSize',14,'FontWeight','bold');
end % if idetail
elseif mm == 2;
set(get(gca,'Title'), 'String',[rxl(l,:),pux(l,:),', ',t4,' = ',int2str(k)],...
                      'FontSize',14,'FontWeight','bold');
end % if mm 
pause;
hold off;
otherwise; % t2ds95
if nwind > 0;
ihcplt = menu('Need HARD COPY of Plots? Follow Instructions.',...
              'Yes. (Window [Select Figure] .. File [Print] and Repeat.)',...
              'No. (Push Button.)');
for jwind = 1:nwind;
close(jwind);
end % for jwind
nwind = 0;
end % if nwind
break;
end % switch t2ds95
end % for iogrf
end % if ipyes
elseif iii > 3;
if nwind >= mxnwind;
ihcplt = menu('Need HARD COPY of Plots? Follow Instructions.',...
              'Yes. (Window [Select Figure] .. File [Print] and Repeat.)',...
              'No. (Push Button.)');
for jwind = 1:nwind;
close(jwind);
end % for jwind
nwind = 0;
end % if nwind
t4 = rt4(iii,:);
t5 = rt5(iii,:);
tx = rt6(iii,:);
if isim == 1;
if mm == 1 & l<= 4;
ysmn = 0;
ysmx = 1;
else
ysmn = 0;
ysmx = 1.15*max(zz);
end % if mm&l
elseif isim == 2; 
if mm == 1 & (l<= 3 | l>= 7);
ysmn = 0;
ysmx = 1;
else
ysmn = 0;
ysmx = 1.15*max(zz);
end % if mm&l
end % if isim
if mm == 2;
ysmn = 0.85*min(zz);
ysmx = 1.15*max(zz);
if l == 2;
ysmm = ysmn;
ysmn = ysmx;
ysmx = ysmm;
end % if l
end % if mm
if ysmn >= ysmx;
ysmx = ysmn+0.001;
end % if ysmn
vp = [xo xs ysmn ysmx];
nwind = nwind+1;
if mm == 1;
if idetail == 1;
figprof1 = figure('Name',['Profile Plot at Time = ',num2str(tm),' ',...
                     iutt(unt,:),', Whole Reservoir']);
elseif idetail == 2;
figprof1 = figure('Name',['Profile Plot at Time = ',num2str(tm),' ',...
                     iutt(unt,:),': Line = ',int2str(k),' (',t4,...
                     ' = ',int2str(j9),', ',t5,' = ',int2str(k9),')']);
end % if idetail
elseif mm == 2;
figprof1 = figure('Name',['Profile Plot: Line = ',int2str(k),' (',t4,...
                     ' = ',int2str(j9),', ',t5,' = ',int2str(k9),')']);
end % if mm 
plot(x,zz,'ro-','MarkerSize',10,'LineWidth',2.0);
set(gca,'Visible','on','LineWidth',3.0,'FontName','Times',...
        'FontSize',10,'FontWeight','bold');
axis(vp);
axis('manual','fill','normal');
set(get(gca,'XLabel'),'String',[' ',tx,'-axis ',iulg(unt,:)],...
                      'FontSize',14,'FontWeight','bold');
set(get(gca,'YLabel'),'String',[ypl(l,:),pux(l,:)],...
                      'FontSize',14,'FontWeight','bold');
if mm == 1;
if idetail == 1;
set(get(gca,'Title'), 'String',['Profile, Whole Reservoir',...
                      ', Time = ',num2str(tm),' ',iutt(unt,:)],...
                      'FontSize',14,'FontWeight','bold');
elseif idetail == 2;
set(get(gca,'Title'), 'String',['Profile, Line = ',int2str(k),' (',t4,...
                      ' = ',int2str(j9),', ',t5,' = ',int2str(k9),...
                      '), Time = ',num2str(tm),' ',iutt(unt,:)],...
                      'FontSize',14,'FontWeight','bold');
end % if idetail
elseif mm == 2;
set(get(gca,'Title'), 'String',['Profile, Line = ',int2str(k),' (',t4,...
                      ' = ',int2str(j9),', ',t5,' = ',int2str(k9),')'],...
                      'FontSize',14,'FontWeight','bold');
end % if mm 
pause;
end % if iii
elseif  kkk == 6;
if ipyes == 0;
break,
end % if ipyes
if iii <= 3;
nwind = 0;
for iogrf = 1:1000000;
if nwind >= mxnwind;
ihcplt = menu('Need HARD COPY of Plots? Follow Instructions.',...
              'Yes. (Window [Select Figure] .. File [Print] and Repeat.)',...
              'No. (Push Button.)');
for jwind = 1:nwind;
close(jwind);
end % for jwind
nwind = 0;
end % if nwind
t3ds = menu1('Type of 3-Dimensional Plot?',...
            'Combination 3-D Mesh/Grid Plot',...
            '3-D Shaded Surface Plot',...
            'Combination 3-D Shaded Surface/Contour Plot',...
            '3-D Shaded Surface Plot with Lighting',...
            '3-D Mesh Plot with Zero Plane',...
            '3-D Mesh Plot',...
            'Combination 3-D Mesh/Contour Plot',...
            'Waterfall Plot',...
            'QUIT 3-D PLOTS');
t3ds96 = t3ds;
switch t3ds96;
case {1,2,3,4,5,6,7,8}; % t3ds96
nwind = nwind+1;
if mm == 1;
figsurf1 = figure('Name',[rxl(l,:),' Surface at Time = ',num2str(tm),...
                      ' ',iutt(unt,:),':',d3title(t3ds,:)]);
elseif mm == 2;
figsurf1 = figure('Name',[rxl(l,:),' Surface:',d3title(t3ds,:)]);
end % if mm 
switch t3ds;
case 1; % t3ds
mesh(xi,yi,zzi);
hold on;
pcolor(xi,yi,zzi);
hold off;
case 2; % t3ds
surf(xi,yi,zzi);
case 3; % t3ds
surfc(xi,yi,zzi);
case 4; % t3ds
surfl(xi,yi,zzi);
case 5; % t3ds
meshz(xi,yi,zzi);
case 6; % t3ds
mesh(xi,yi,zzi);
case 7; % t3ds
meshc(xi,yi,zzi);
case 8; % t3ds
waterfall(xi,yi,zzi);
end % switch t3ds
view([37.5 30]);
set(gca,'Visible','on','LineWidth',3.0,'FontName','Times',...
        'FontSize',10,'FontWeight','bold',...
        'FontAngle','normal','GridLineStyle',':','Color',[0.9 0.9 0.9],...
        'XColor',[0 0 0.7],'YColor',[0 0 0.7],'ZColor',[0 0 0.7]);
set(get(gca,'XLabel'),'String',[' ',tx,'-axis ',iulg(unt,:)],...
                      'FontSize',12,'FontWeight','bold');
set(get(gca,'YLabel'),'String',[' ',ty,'-axis ',iulg(unt,:)],...
                      'FontSize',12,'FontWeight','bold');
set(get(gca,'ZLabel'),'String',[ypl(l,:),pux(l,:)],...
                      'FontSize',12,'FontWeight','bold');
if mm == 1;
if idetail == 1;
set(get(gca,'Title'), 'String',['Whole Reservoir,',' Time = ',...
                       num2str(tm),' ',iutt(unt,:)],...
                      'FontSize',12,'FontWeight','bold');
elseif idetail == 2;
set(get(gca,'Title'), 'String',[t4,' = ',int2str(k),', Time = ',...
                       num2str(tm),' ',iutt(unt,:)],...
                      'FontSize',12,'FontWeight','bold');
end % if idetail
elseif mm == 2;
set(get(gca,'Title'), 'String',[t4,' = ',int2str(k)],...
                      'FontSize',12,'FontWeight','bold');
end % if mm 
fig = gcf;
sli_azm = uicontrol(fig,...
                        'Style','slider',...
                        'Position',[wp505 hp330 80 15],...
                        'Min',-360,'Max',360,'Value',37.5,...
                        'BackgroundColor',[0.6 0.6 0.6],...
                        'CallBack',[...
                        'set(azm_cur,''String'',',...
                        'num2str(get(sli_azm,''Val''))),',...
                        'set(gca,''View'',',...
                        '[get(sli_azm,''Val''),get(sli_elv,''Val'')])']);
sli_elv = uicontrol(fig,...
                        'Style','slider',...
                        'Position',[wp505 hp360 80 15],...
                        'Min',-360,'Max',360,'Value',30,...
                        'BackgroundColor',[0.6 0.6 0.6],...
                        'CallBack',[...
                         'set(elv_cur,''String'',',...
                         'num2str(get(sli_elv,''Val''))),',...
                         'set(gca,''View'',',...
                         '[get(sli_azm,''Val''),get(sli_elv,''Val'')])']);
azm_min = uicontrol(fig,...
                        'Style','text',...
                        'Position',[wp480 hp330 25 15],...
                        'BackgroundColor',[0.6 0.6 0.6],...
                        'String',num2str(get(sli_azm,'Min')));
elv_min = uicontrol(fig,...
                        'Style','text',...
                        'Position',[wp480 hp360 25 15],...
                        'BackgroundColor',[0.6 0.6 0.6],...
                        'String',num2str(get(sli_elv,'Min')));
azm_max = uicontrol(fig,...
                        'Style','text',...
                        'Position',[wp585 hp330 25 15],...
                        'String',num2str(get(sli_azm,'Max')),...
                        'BackgroundColor',[0.6 0.6 0.6],...
                        'Horiz','right');
elv_max = uicontrol(fig,...
                        'Style','text',...
                        'Position',[wp585 hp360 25 15],...
                        'String',num2str(get(sli_elv,'Max')),...
                        'BackgroundColor',[0.6 0.6 0.6],...
                        'Horiz','right');
azm_label = uicontrol(fig,...
                          'Style','text',...
                          'Position',[wp505 hp345 45 15],...
                          'BackgroundColor',[0.6 0.6 0.6],...
                          'String','Azimuth');
elv_label = uicontrol(fig,...
                          'Style','text',...
                          'Position',[wp505 hp375 45 15],...
                          'BackgroundColor',[0.6 0.6 0.6],...
                          'String','Elevation');
azm_cur = uicontrol(fig,...
                        'Style','text',...
                        'Position',[wp550 hp345 35 15],...
                        'BackgroundColor',[0.6 0.6 0.6],...
                        'String',num2str(get(sli_azm,'Value')));
elv_cur = uicontrol(fig,...
                        'Style','text',...
                        'Position',[wp550 hp375 35 15],...
                        'BackgroundColor',[0.6 0.6 0.6],...
                        'String',num2str(get(sli_elv,'Value')));
pause,
tspin = menu1(' Observe Colors in Motion? ',...
             '               Yes               ',...
             '               No.               ');
if tspin == 1;
spinmap(3); 
end % if tspin
otherwise; % t3ds96
if nwind > 0;
ihcplt = menu('Need HARD COPY of Plots? Follow Instructions.',...
              'Yes. (Window [Select Figure] .. File [Print] and Repeat.)',...
              'No. (Push Button.)');

for jwind = 1:nwind;
close(jwind);
end % for jwind
nwind = 0;
end % if nwind
break;
end % switch t3ds96
end % for iogrf
end % if iii
end % if kkk
end % if isempty
case 2; % iprcds956
otherwise; % iprcds956
break,
end % switch iprcds956
end % if idl
end % for k
if nwind > 0;
ihcplt = menu('Need HARD COPY of Plots? Follow Instructions.',...
              'Yes. (Window [Select Figure] .. File [Print] and Repeat.)',...
              'No. (Push Button.)');
for jwind = 1:nwind;
close(jwind);
end % for jwind
nwind = 0;
end % if nwind
case 2; % iprcdv956
otherwise; % iprcdv956
break,
end % switch iprcdv956
end % if idp
end % for l
case 2; % iprcdt956
otherwise; % iprcdt956
break,
end % switch iprcdt956
end % if idt
end % for nn
end % if iii
otherwise; % iquit
end % switch iquit
otherwise; % mm956
end % switch mm956
elseif kkk == 7;
vv = [0,xamax,0,yamax];
xbl = [0 0];
ybl = [0 yamax];
nwind = 1;
jwind = nwind; figgrid1 = figure('Name','Reservoir Areal Grid System');
plot(xbl,ybl,'b-','MarkerSize',10,'LineWidth',2.0);
set(gca,'Visible','on','LineWidth',3.0,'FontName','Times',...
        'FontSize',12,'FontWeight','bold');
axis(vv);
axis('manual','fill','equal');
set(get(gca,'XLabel'),'String',[' x-axis ',iulg(unt,:)],...
                      'FontSize',14,'FontWeight','bold');
set(get(gca,'YLabel'),'String',[' y-axis ',iulg(unt,:)],...
                      'FontSize',14,'FontWeight','bold');
set(get(gca,'Title'), 'String','Reservoir Areal Grid System',...
                      'FontSize',14,'FontWeight','bold');
hold on;
for j = 1:nx;
xbl = [xbx(j) xbx(j)];
ybl = [0 yamax];
plot(xbl,ybl,'b-','MarkerSize',10,'LineWidth',2.0);
end % for j
xbl = [0 xamax];
ybl = [0 0];
plot(xbl,ybl,'b-','MarkerSize',10,'LineWidth',2.0);
for j= 1:ny;
xbl = [0 xamax];
ybl = [yby(j) yby(j)];
plot(xbl,ybl,'b-','MarkerSize',10,'LineWidth',2.0);
end % for j
hold off;
pause
if nwind > 0;
ihcplt = menu('Need HARD COPY of Plots? Follow Instructions.',...
              'Yes. (Window [Select Figure] .. File [Print] and Repeat.)',...
              'No. (Push Button.)');
for jwind = 1:nwind;
close(jwind);
end % for jwind
nwind = 0;
end % if nwind
end % if kkk
otherwise % kkk
break,
end % switch kkk
end % for iopt7
otherwise; % unt99
end % switch unt99
otherwise; % isim99
end % switch isim99
elseif ud(1) == 1,
end % if ud(1)
elseif ud(1) == 1,
end % if ud(1)
tstop = cputime;
tcpu = tstop-tstrt,
